package com.friday.custody.enums;

public enum RetCodeEnum {
    SUCCESS(1, "成功"),
    SYS_ERROR(-1, "系统异常"),
    PARAM_ERROR(-2, "参数异常"),
    RESOURCE_NOT_FOUND(-3, "资源不存在"),
    PERMISSION_DENIED(-4, "暂无权限"),
    OPERATION_ERROR(-5, "操作失败"),
    ;


    private int code;
    private String msg;

    RetCodeEnum(int code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }
}
